Browse Source

On Mac OS X do not link aginst the boost libraries in UNIX:LIBS

pull/1/head
Celil 11 years ago committed by Dzhelil Rufat
parent
commit
2af40a5013
  1. 5
      bitcoin-qt.pro

5
bitcoin-qt.pro

@ -6,9 +6,10 @@ DEFINES += QT_GUI @@ -6,9 +6,10 @@ DEFINES += QT_GUI
CONFIG += no_include_pwd
# for boost 1.37, add -mt to the boost libraries
unix:LIBS += -lssl -lcrypto -lboost_system -lboost_filesystem -lboost_program_options -lboost_thread -ldb_cxx
unix:LIBS += -lssl -lcrypto -ldb_cxx
unix:!macx:LIBS += -lboost_system -lboost_filesystem -lboost_program_options -lboost_thread
macx:DEFINES += __WXMAC_OSX__ MSG_NOSIGNAL=0 BOOST_FILESYSTEM_VERSION=3
macx:LIBS += -lboost_thread-mt -lboost_system-mt -lboost_filesystem-mt -lboost_program_options-mt
macx:LIBS += -lboost_system-mt -lboost_filesystem-mt -lboost_program_options-mt -lboost_thread-mt
windows:DEFINES += __WXMSW__
windows:LIBS += -lssl -lcrypto -lboost_system-mgw44-mt-1_43 -lboost_filesystem-mgw44-mt-1_43 -lboost_program_options-mgw44-mt-1_43 -lboost_thread-mgw44-mt-1_43 -ldb_cxx -lws2_32 -lgdi32
windows:RC_FILE = src/qt/res/bitcoin-qt.rc

Loading…
Cancel
Save